#############################################################################
# Makefile for building: mySCPrj
# Generated by qmake (2.01a) (Qt 4.7.3) on: Mon Aug 1 13:54:39 2011
# Project:  mySCPrj.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_DLL -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_HAVE_MMX -DQT_HAVE_3DNOW -DQT_HAVE_SSE -DQT_HAVE_MMXEXT -DQT_HAVE_SSE2 -DQT_THREAD_SUPPORT -DQT_NEEDS_QMAIN
CFLAGS        = -O2 -Wall $(DEFINES)
CXXFLAGS      = -O2 -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I'../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/include/QtCore' -I'../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/include/QtGui' -I'../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/include/QtDeclarative' -I'../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/include' -I'qmlapplicationviewer' -I'../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/include/ActiveQt' -I'release' -I'../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/win32-g++'
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -mthreads -Wl -Wl,-subsystem,windows
LIBS        =        -L'd:/QtSDK_New/Desktop/Qt/4.7.3/mingw/lib' -lmingw32 -lqtmain -lQtDeclarative4 -lQtGui4 -lQtCore4 -LC:\OpenSSL-Win32_full\lib 
QMAKE         = d:/qtsdk_new/desktop/qt/4.7.3/mingw/bin/qmake.exe
IDC           = d:/QtSDK_New/Desktop/Qt/4.7.3/mingw/bin/idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = rm
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = release/

####### Files

SOURCES       = main.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp release/moc_qmlapplicationviewer.cpp
OBJECTS       = release/main.o \
		release/qmlapplicationviewer.o \
		release/moc_qmlapplicationviewer.o
DIST          = 
QMAKE_TARGET  = mySCPrj
DESTDIR        = release/ #avoid trailing-slash linebreak
TARGET         = mySCPrj.exe
DESTDIR_TARGET = release/mySCPrj.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET):  $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -spec ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/win32-g++ -o Makefile.Release mySCPrj.pro

dist:
	$(ZIP) mySCPrj.zip $(SOURCES) $(DIST) mySCPrj.pro ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/qconfig.pri ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/modules/qt_webkit_version.pri ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_functions.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt_config.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/exclusive_builds.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_pre.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_pre.prf qmlapplicationviewer/qmlapplicationviewer.pri ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/release.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/debug_and_release.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/default_post.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/default_post.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/build_pass.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/rtti.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/exceptions.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/stl.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/shared.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/warn_on.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/qt.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/thread.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/moc.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/win32/windows.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/resources.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/uic.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/yacc.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/lex.prf ../../../QtSDK_New/Desktop/Qt/4.7.3/mingw/mkspecs/features/include_source_dir.prf d:\QtSDK_New\Desktop\Qt\4.7.3\mingw\lib\qtmain.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) release/main.o release/qmlapplicationviewer.o release/moc_qmlapplicationviewer.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Release

check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: release/moc_qmlapplicationviewer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) release/moc_qmlapplicationviewer.cpp
release/moc_qmlapplicationviewer.cpp: qmlapplicationviewer/qmlapplicationviewer.h
	D:/QtSDK_New/Desktop/Qt/4.7.3/mingw/bin/moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 qmlapplicationviewer/qmlapplicationviewer.h -o release/moc_qmlapplicationviewer.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 



####### Compile

release/main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/main.o main.cpp

release/qmlapplicationviewer.o: qmlapplicationviewer/qmlapplicationviewer.cpp qmlapplicationviewer/qmlapplicationviewer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/qmlapplicationviewer.o qmlapplicationviewer/qmlapplicationviewer.cpp

release/moc_qmlapplicationviewer.o: release/moc_qmlapplicationviewer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_qmlapplicationviewer.o release/moc_qmlapplicationviewer.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

